Skip to main content
PUT
Update site

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

site:create

Allow members to create sites

Path Parameters

organization
string
required

The organization slug

server
integer
required

The server ID

site
integer
required

The site ID

Body

application/json
root_path
string | null
directory
string | null
type
enum<string>
Available options:
laravel,
symfony,
statamic,
wordpress,
phpmyadmin,
php,
nextjs,
nuxtjs,
static-html,
other,
custom
php_version
enum<string>
Available options:
php5,
php56-old,
php56,
php70,
php71,
php72,
php73,
php74,
php80,
php81,
php82,
php83,
php84,
php85
push_to_deploy
boolean
default:false

Automatically trigger a new deployment when changes are pushed to the environment's Git branch.

repository_branch
string | null
deployment_retention

The number of zero downtime deployment releases that should be retained for the site.

Required range: 1 <= x <= 100
Example:

5

Response

Accepted